Energia

## bit()

#### Description

Computes the value of the specified bit (bit 0 is 1, bit 1 is 2, bit 2 is 4, etc.).

#### Syntax

bit(n)

#### Parameters

n: the bit whose value to compute

#### Returns

the value of the bit

#### See also

- bitRead()
- bitWrite()
- bitSet()
- bitClear()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes